> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Transfer Group

> Create a Transfer Group object.



## OpenAPI

````yaml api-reference/oas-with-internal-removed.yaml post /deliver/transfer-groups
openapi: 3.0.1
info:
  title: Orum API
  description: Orum API.
  version: v2022-09-21
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api-sandbox.orum.io
  - url: https://vault.api-sandbox.orum.io
security: []
paths:
  /deliver/transfer-groups:
    post:
      tags:
        - Transfer Groups
      summary: Create a Transfer Group
      description: Create a Transfer Group object.
      operationId: post-transfer-group
      parameters:
        - name: Orum-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/OrumVersion'
          x-orum-error-invalid:
            known-error: version_invalid
          x-orum-error-missing:
            known-error: version_missing
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransferGroupRequest'
        required: true
      responses:
        '200':
          description: successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferGroupResponse'
        '400':
          description: invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: unexpected error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - oauth2:
            - write:transfer-groups
components:
  schemas:
    OrumVersion:
      type: string
      description: Version of Deliver and Verify APIs. Use v2022-09-21.
      enum:
        - v2022-09-21
    TransferGroupRequest:
      title: TransferGroupRequest
      type: object
      properties:
        transfer_group_reference_id:
          allOf:
            - $ref: '#/components/schemas/TransferGroupReferenceID'
          x-orum-error-missing:
            known-error: missing_transfer_group_reference_id
          x-orum-error-invalid:
            known-error: invalid_transfer_group_reference_id
        source:
          allOf:
            - $ref: '#/components/schemas/TransferGroupSourceObject'
          type: object
          nullable: true
        destination:
          allOf:
            - $ref: '#/components/schemas/TransferGroupDestinationObject'
          type: object
          nullable: true
      required:
        - transfer_group_reference_id
    TransferGroupResponse:
      title: TransferGroupResponse
      type: object
      properties:
        transfer_group:
          $ref: '#/components/schemas/TransferGroup'
      required:
        - transfer_group
    ErrorResponse:
      type: object
      properties:
        error_code:
          type: string
        message:
          type: string
        details:
          type: object
          description: additional details about the error.
          nullable: true
      required:
        - error_code
        - message
    TransferGroupReferenceID:
      title: TransferGroupReferenceID
      type: string
      minLength: 1
      description: Unique reference id for the transfer group
      x-orum-error-invalid:
        known-error: invalid_transfer_group_reference_id
    TransferGroupSourceObject:
      title: Source
      type: object
      description: Information about the ultimate source of the transfer group.
      properties:
        account_reference_id:
          type: string
          minLength: 1
          description: Unique id of the account on the Enterprise platform
          x-orum-error-missing:
            known-error: missing_transfer_group_source_account_reference_id
          x-orum-error-invalid:
            known-error: invalid_transfer_group_source_account_reference_id
        customer_reference_id:
          type: string
          minLength: 1
          description: Unique id of the customer on the Enterprise platform
          x-orum-error-missing:
            known-error: missing_transfer_group_source_customer_reference_id
          x-orum-error-invalid:
            known-error: invalid_transfer_group_source_customer_reference_id
      required:
        - account_reference_id
        - customer_reference_id
    TransferGroupDestinationObject:
      title: Destination
      type: object
      description: Information about the ultimate destination of the transfer group.
      properties:
        account_reference_id:
          type: string
          minLength: 1
          description: Unique id of the account on the Enterprise platform
          x-orum-error-missing:
            known-error: missing_transfer_group_destination_account_reference_id
          x-orum-error-invalid:
            known-error: invalid_transfer_group_destination_account_reference_id
        customer_reference_id:
          type: string
          minLength: 1
          description: Unique id of the customer on the Enterprise platform
          x-orum-error-missing:
            known-error: missing_transfer_group_destination_customer_reference_id
          x-orum-error-invalid:
            known-error: invalid_transfer_group_destination_customer_reference_id
      required:
        - account_reference_id
        - customer_reference_id
    TransferGroup:
      title: TransferGroup
      type: object
      properties:
        id:
          $ref: '#/components/schemas/OrumId'
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
        transfer_group_reference_id:
          $ref: '#/components/schemas/TransferGroupReferenceID'
        source:
          $ref: '#/components/schemas/TransferGroupSourceObject'
        destination:
          $ref: '#/components/schemas/TransferGroupDestinationObject'
      required:
        - id
        - created_at
        - updated_at
        - transfer_group_reference_id
    OrumId:
      type: string
      description: Orum generated unique id for the resource.
      format: uuid
    CreatedAt:
      type: string
      description: Timestamp when the resource was created.
      format: date-time
    UpdatedAt:
      type: string
      description: Timestamp when the resource was last updated.
      format: date-time
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api-sandbox.orum.io/oauth/token
          scopes:
            read:persons: Read persons
            write:persons: Write persons
            read:businesses: Read businesses
            write:businesses: Write businesses
            read:external-accounts: Read external accounts
            write:external-accounts: Write external accounts
            read:cards: Read cards
            write:cards: Write cards
            read:transfers: Read transfers
            write:transfers: Write transfers
            read:transfer-groups: Read transfer groups
            write:transfer-groups: Write transfer groups
            read:schedules: Read schedules
            write:schedules: Write schedules
            read:routing-number-eligibility: Read routing number eligibility
            read:balances: Read balances
            read:reports: Read reports
            write:reports: Write reports
            read:booktransfers: Read book transfers
            write:booktransfers: Write book transfers
            read:subledgers: Read subledgers
            write:subledgers: Write subledgers
            read:verify-accounts: Read verify accounts
            write:verify-accounts: Write verify accounts
            read:webhook-configurations: Read webhook configurations
            write:webhook-configurations: Write webhook configurations
            read:webhook-secret: Read webhook secret
            write:webhook-secret: Write webhook secret
            invoke:webhook: Invoke webhook

````